com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.util

## Class FlowdiagramAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.viewrulemodel.ruleflow.flowdiagram.util.FlowdiagramAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class FlowdiagramAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `FlowdiagramPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`
    `protected static FlowdiagramPackage` | `modelPackage` The cached model package
    `protected FlowdiagramSwitch` | `modelSwitch` The switch that delegates to the `createXXX` methods

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlowdiagramAdapterFactory()` Creates an instance of the adapter factory

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createActivityShapeAdapter()` Creates a new adapter for an object of class '`Activity Shape`'
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotatableAdapter()` Creates a new adapter for an object of class '`Annotatable`'
    `org.eclipse.emf.common.notify.Adapter` | `createAnnotationAdapter()` Creates a new adapter for an object of class '`Annotation`'
    `org.eclipse.emf.common.notify.Adapter` | `createCorticonObjectAdapter()` Creates a new adapter for an object of class '`Corticon Object`'
    `org.eclipse.emf.common.notify.Adapter` | `createDecisionEdgeAdapter()` Creates a new adapter for an object of class '`Decision Edge`'
    `org.eclipse.emf.common.notify.Adapter` | `createDecisionShapeAdapter()` Creates a new adapter for an object of class '`Decision Shape`'
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
    `org.eclipse.emf.common.notify.Adapter` | `createFlowDiagramAdapter()` Creates a new adapter for an object of class '`Flow Diagram`'
    `org.eclipse.emf.common.notify.Adapter` | `createFlowEdgeAdapter()` Creates a new adapter for an object of class '`Flow Edge`'
    `org.eclipse.emf.common.notify.Adapter` | `createFlowShapeAdapter()` Creates a new adapter for an object of class '`Flow Shape`'
    `org.eclipse.emf.common.notify.Adapter` | `createInitiateShapeAdapter()` Creates a new adapter for an object of class '`Initiate Shape`'
    `org.eclipse.emf.common.notify.Adapter` | `createLoopbackEdgeAdapter()` Creates a new adapter for an object of class '`Loopback Edge`'
    `org.eclipse.emf.common.notify.Adapter` | `createRuleflowViewAdapter()` Creates a new adapter for an object of class '`View`'
    `org.eclipse.emf.common.notify.Adapter` | `createTerminateShapeAdapter()` Creates a new adapter for an object of class '`Terminate Shape`'
    `org.eclipse.emf.common.notify.Adapter` | `createValidatableObjectAdapter()` Creates a new adapter for an object of class '`Validatable Object`'
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values

    - #### modelPackage

          protected static FlowdiagramPackage modelPackage

      The cached model package.

    - #### modelSwitch

          protected FlowdiagramSwitch modelSwitch

      The switch that delegates to the `createXXX` methods.

  - ### Constructor Detail

    - #### FlowdiagramAdapterFactory

          public FlowdiagramAdapterFactory()

      Creates an instance of the adapter factory.

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.

    - #### createFlowDiagramAdapter

          public org.eclipse.emf.common.notify.Adapter createFlowDiagramAdapter()

      Creates a new adapter for an object of class '`Flow Diagram`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FlowDiagram`

    - #### createFlowShapeAdapter

          public org.eclipse.emf.common.notify.Adapter createFlowShapeAdapter()

      Creates a new adapter for an object of class '`Flow Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FlowShape`

    - #### createActivityShapeAdapter

          public org.eclipse.emf.common.notify.Adapter createActivityShapeAdapter()

      Creates a new adapter for an object of class '`Activity Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ActivityShape`

    - #### createDecisionShapeAdapter

          public org.eclipse.emf.common.notify.Adapter createDecisionShapeAdapter()

      Creates a new adapter for an object of class '`Decision Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DecisionShape`

    - #### createTerminateShapeAdapter

          public org.eclipse.emf.common.notify.Adapter createTerminateShapeAdapter()

      Creates a new adapter for an object of class '`Terminate Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `TerminateShape`

    - #### createFlowEdgeAdapter

          public org.eclipse.emf.common.notify.Adapter createFlowEdgeAdapter()

      Creates a new adapter for an object of class '`Flow Edge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `FlowEdge`

    - #### createDecisionEdgeAdapter

          public org.eclipse.emf.common.notify.Adapter createDecisionEdgeAdapter()

      Creates a new adapter for an object of class '`Decision Edge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `DecisionEdge`

    - #### createInitiateShapeAdapter

          public org.eclipse.emf.common.notify.Adapter createInitiateShapeAdapter()

      Creates a new adapter for an object of class '`Initiate Shape`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `InitiateShape`

    - #### createLoopbackEdgeAdapter

          public org.eclipse.emf.common.notify.Adapter createLoopbackEdgeAdapter()

      Creates a new adapter for an object of class '`Loopback Edge`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `LoopbackEdge`

    - #### createRuleflowViewAdapter

          public org.eclipse.emf.common.notify.Adapter createRuleflowViewAdapter()

      Creates a new adapter for an object of class '`View`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `RuleflowView`

    - #### createValidatableObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createValidatableObjectAdapter()

      Creates a new adapter for an object of class '`Validatable Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ValidatableObject`

    - #### createAnnotationAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotationAdapter()

      Creates a new adapter for an object of class '`Annotation`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Annotation`

    - #### createAnnotatableAdapter

          public org.eclipse.emf.common.notify.Adapter createAnnotatableAdapter()

      Creates a new adapter for an object of class '`Annotatable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Annotatable`

    - #### createCorticonObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createCorticonObjectAdapter()

      Creates a new adapter for an object of class '`Corticon Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `CorticonObject`

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.